3 Replies Latest reply on Jun 6, 2008 3:42 AM by Carlo de Wolf

    ClassLoaderFactory compile issues

    Scott Stark Master

      I'm not able to compile the current ejb3 trunk because there is a conflict between the jboss-deployers-structure-spi in version 2.0.0.Beta10 vs 2.0.0.Beta14, and the Beta10 is being used:

      /Users/svn/JBossAS/projects/ejb3/core/src/test/java/org/jboss/ejb3/core/test/common/SimpleClassLoaderDeployer.java:[33,7] org.jboss.ejb3.core.test.common.SimpleClassLoaderDeployer is not abstract and does not override abstract method removeClassLoader(org.jboss.deployers.structure.spi.DeploymentContext) in org.jboss.deployers.structure.spi.ClassLoaderFactory
      


      I'm using mvn 2.0.8. Do I need to use 2.0.9 or is it some other issue?